/*
 * 作成日: 2005/02/03
 *
 */
package jp.co.ntt.lms.xmf.xms.framework;

import java.text.DateFormat;

/**
 * @author Administrator
 * 
 * Bean化したjp.co.ntt.lms.xms.framework.Constantクラス
 * 
 */
public class Constant {

	/** ＲＭＩサーバホスト名 */
	public static final String getRMI_HOST_NAME()
	{
		return jp.co.ntt.lms.xms.framework.Constant.RMI_HOST_NAME;
	}
	/** ＲＭＩポート番号 */
	public static final int getRMI_HOST_PORT()
	{
		return jp.co.ntt.lms.xms.framework.Constant.RMI_HOST_PORT;
	}
	/** ＲＭＩコンテキスト名 */
	public static final String getRMI_LOGIC_SERVER_NAME()
	{
		return jp.co.ntt.lms.xms.framework.Constant.RMI_LOGIC_SERVER_NAME;
	}
	
	/** サーブレット別名 */
	public static final String getALIAS_SERVLET()
	{
		return jp.co.ntt.lms.xms.framework.Constant.ALIAS_SERVLET;
	}

	/** 改行文字列 */
	public static final String getLINE_SEPARATOR()
	{
		return jp.co.ntt.lms.xms.framework.Constant.LINE_SEPARATOR;
	}
	/** 日付フォーマット */
	public static final DateFormat getDATE_FORMATTER()
	{
		return jp.co.ntt.lms.xms.framework.Constant.DATE_FORMATTER;
	}
	/** リクエストパラメータ名称：アクションＩＤ */
	public static final String getREQUEST_ACTION_ID()
	{
		return jp.co.ntt.lms.xms.framework.Constant.REQUEST_ACTION_ID;
	}
	/** リクエストパラメータ名称：要求形式 */
	public static final String getREQUEST_MODE()
	{
		return jp.co.ntt.lms.xms.framework.Constant.REQUEST_MODE;
	}
	/** リクエストパラメータ名称：ファイル名 */
	public static final String getREQUEST_FILENAME()
	{
		return jp.co.ntt.lms.xms.framework.Constant.REQUEST_FILENAME;
	}
	/** リクエストパラメータ値：ＣＳＶモード */
	public static final String getREQUEST_VALUE_MODE_CSV()
	{
		return jp.co.ntt.lms.xms.framework.Constant.REQUEST_VALUE_MODE_CSV;
	}

	/** セッション／リクエスト属性キー：出力ファイルリスト */
	public static final String getREQUEST_VALUE_MODE_CSVLIST()
	{
		return jp.co.ntt.lms.xms.framework.Constant.REQUEST_VALUE_MODE_CSV;
	}
	/** セッション／リクエスト属性キー：Throwableインスタンス用 */
	public static final String getKEY_ERROR()
	{
		return jp.co.ntt.lms.xms.framework.Constant.KEY_ERROR;
	}
	/** セッション／リクエスト属性キー：XmsBusinessBean用 */
	public static final String getKEY_BUSINESS_BEAN()
	{
		return jp.co.ntt.lms.xms.framework.Constant.KEY_BUSINESS_BEAN;
	}
	/** セッション／リクエスト属性キー：XmsScreenBean用 */
	public static final String getKEY_SCREEN_BEAN()
	{
		return jp.co.ntt.lms.xms.framework.Constant.KEY_SCREEN_BEAN;
	}
	/** セッション／リクエスト属性キー：Userオブジェクト */
	public static final String getKEY_USER()
	{
		return jp.co.ntt.lms.xms.framework.Constant.KEY_USER;
	}

	/** 更新業務の状態デフォルト値 */
	public static final String getBUSINESS_STATUS_DEFAULT()
	{
		return jp.co.ntt.lms.xms.framework.Constant.BUSINESS_STATUS_DEFAULT;
	}
	
	/**
	 * ENCTYPEがmultipart/form-dataであるリクエストのContentTypeの接頭辞。
	 */
	public static final String getCONTENT_TYPE_PREFIX_MULTIPART()
	{
		return jp.co.ntt.lms.xms.framework.Constant.CONTENT_TYPE_PREFIX_MULTIPART;
	}
}
